body{
    color: var(--dark-violet);
    background-color: var(--bg-v1);
    overflow: hidden;
}
a{
    color: var(--dark-violet);
}

.top-bar{
    font-size: var(--sm-text);
    background-color: var(--white);
    border-right: 1px solid var(--light-gray);
    align-items: stretch;
}
.top-bar button{
    padding: 0.8em 1.6em;
    font-size: var(--md-title);
    color: var(--dark-violet);
    box-shadow: 3px 0 3px rgba(0,0,0,0.1);
    transition: 0.5s;
    opacity: 0.7;
    min-width: 100px;
}
.top-bar button:hover{
    opacity: 1;
}
.top-bar button i{
    transition: 0.5s;
}
.top-bar button:not(.active) i{
    transform: rotate(540deg);
}
.top-bar div{
    padding: 0 30px;
    font-weight: 600;
}
.pg-link:hover{
    cursor: pointer;
}
.top-bar div img{
    height: 40px;
    width: 40px;
    border-radius: 4px;
    margin-right: 10px;
}

.agl-container{
    height: 100vh;
}
.nav-bar{
    min-width: 100px;
    max-width: 100px;
    text-align: center;
    font-size: var(--sm-text);
    height: 100%;
    padding: 20px 0;
    box-shadow: 3px 0 3px rgba(0,0,0,0.1);
    transition: 0.5s;
    background-color: var(--white);
}
.nav-bar.inactive{
    margin-left: -100%;
}
.nav-bar i{
    color: var(--dark-violet);
    transition: 0.5s;
    opacity: 0.4;
}
.nav-bar li{
    padding: 1em 2em;
    position: relative;
    transition: 0.25s;
    margin: 0.8em 0;
}
.nav-bar span{
    position: absolute;
    top: 50%;
    transform: translateX(-50%);
    left: 50%;
    color: var(--white);
    opacity: 0;
    transition: 0.5s;
    font-weight: 600;
}
.nav-bar li:hover{
    cursor: pointer;
}
.nav-bar li:hover *{
    color: var(--light-blue);
    opacity: 1;
}
.nav-bar li:hover span{
    top: 70%;
}
.agl-container{
    align-items: flex-start;
    overflow: visible;
}

.agl-container > .content{
    position: relative;
    width: calc(100% - 103px);
    max-height: 700px;
    padding: 40px 20px;
    padding-bottom: 100px;
    overflow-y: scroll;
    background-color: var(--bg-v1);
    transition: 0.5s;
    
}
.agl-container > .content.resize{
    width: calc(100% - 3px);
}

.reservation,.dropdown-menu,.btn{
    font-size: calc(var(--sm-text) - 1px ) !important;
}
.make-reservation{
    padding: 20px 30px 50px 30px;justify-content: flex-end;
}
.make-reservation button{
    border-radius: 4px !important;
    font-weight: 600;
    overflow: hidden;
    transition-duration : 0.5s;
    font-size: var(--md-text) !important;
}
.make-reservation button:before{
    transition-duration : 0.5s;
}
#reservationsTable_length,#reservationsTable{
    padding: 20px 0;
    overflow: hidden;
}
#reservation .modal-body,#reservation .bs-stepper-content{
    padding: 0;
}

.reservation td, .reservation th {
    border-right-color: #ddd !important;
    vertical-align: middle !important;
}
.reservation-options{
    display: flex;
    justify-content: space-between;
    align-items: stretch;
    box-shadow: 0 2px 2px rgba(0,0,0,0.2);
}
.reservation-options > * {
    width: 50%;
    transition: 0.5s;
    color: var(--light-blue);
}
.reservation-options > * .step-trigger{
    display: inline-block;
    width: 100%;
    padding: 1.3em 3em;
    font-weight: 600;
    width: 100%;
    font-size: var(--sm-text);
}
.reservation-options > *.active{
    background-color: var(--light-blue);
    color: var(--white);
}
.profil-section{
    padding: 0 50px;
}
.user-detail{
    justify-content: flex-start;
}
.user-detail > *{
    position: relative;
    margin-right: 40px;
}
.user-detail img{
    height: 150px;
    width: 150px;
    border-radius: 50%;
    border: 5px solid rgba(255,255,255,0.8);
}
.user-detail button{
    position: absolute;
    bottom: 10%;
    right: 30%;
    transform: translate(50%,50%);
    color: var(--light-blue-v2);
    padding: 0.5em;
    line-height: 1em;
    border-radius: 50%;
    background-color: var(--bg-v1);
    box-shadow: 0px 0px 5px rgba(0,0,0,0.3);
}
.user-info{
    font-size: var(--md-title);
    font-weight: 600;
}
.user-info *{
    margin: 10px 0;
}
.user-info *:last-of-type{
    font-size: var(--lg-text);
    font-weight: 400;
}

.user-rank{
    font-size: var(--sm-title);
    font-weight: 500;
}
.user-rank > *{
    margin: 20px 0;
}
.user-rank span{
    font-weight: 700;
    font-family: "CenturyGothic";
    font-size: var(--md-title);
    display: inline-block;
    margin-left: 10px;
}
.password-change {
    margin-top: 50px;
}
.password-change h3{
    font-weight: 700;
}
.password-change form{
    max-width: 300px;
}
.password-change form > *{
    display: block;
    width: 100%;
}
.password-change form > input{
    margin: 20px 0;
    border: none;
    background: none;
    padding: 0.4em 1em;
    border-bottom: 1px solid var(--light-gray);
    font-size: var(--sm-text);
}
input:focus{
    outline: none;
}


.steps > *,#signuser .modal-body{
    padding: 40px;
}
.steps form > *,#signuser form > *{
    width: 100% !important;
    margin: 10px 0;
}
.steps form > input,.steps form > textarea,#signuser form input{
    padding: 0.4em 0.6em;
    border: 1px solid var(--light-gray);
}
.steps .vscomp-ele,#signuser .vscomp-ele{
    max-width: none;
}
.steps form > div button,#signuser form button{
    padding: 0.4em 0.9em;
    border-radius: 4px;
    color: var(--white);
    font-weight: 600;
    transition: 0.25s;
    font-size: var(--md-text);
    margin: 10px 15px;
    margin-right: 0;
}
.steps form > div,#signuser form > div:last-of-type{
    text-align: end;
}
.steps form > div button:hover,
#signuser form button:hover{
    opacity: 0.8;
}
.steps form > div button:first-of-type{
    background-color: var(--red);
}
.steps form > div button:last-of-type,
#signuser form button{
    background-color: var(--green);
}

.accueil-section *{
    margin: 30px;
    margin-left: 0;
    padding: 0.7em 1.2em !important;
    border-radius: 6px;
}
#signuser form,.vscomp-wrapper{
    font-size: var(--md-text);
}
#signuser form > div > *{
    margin: 5px 0;
}
#signuser h3{
    margin-bottom: 40px;
    font-size: var(--md-title);
    font-weight: 700;
}
#signuser .others-div{
    display: flex;
    align-items: center;
    justify-content: space-between;
}
#signuser .others-div > *:first-child{
    width: 30%;
}
#signuser .others-div > *:last-child{
    width: 70%;
}
#signuser form button{
    font-size: var(--md-text);
}

.planning > div{
    font-size: var(--sm-text);
    font-weight: 600;
    margin-bottom: 50px;
}
.planning input{
    border: 1px solid var(--light-gray);
    padding: 0.3em 0.9em;
    margin-left: 20px;
    border-radius: 4px;
}
#plan-table{
    transition: 0.5s;
}
#plan-table{
    min-width: 100%;
    text-align: center;
    background-color: var(--white);
    overflow: scroll;
}
#plan-table th{
    background-color: var(--dark-violet);
    color: var(--white);
    padding: 20px;
    font-size: var(--sm-text);
}
#plan-table tbody tr{
    border: 1px solid var(--light-violet);
}
#plan-table td.active{
    width: fit-content;
}
#plan-table td{
    padding: 10px 20px;
    font-size: var(--xs-text);
}
#plan-table td.active{
    width: fit-content;
}
#plan-table td,#plan-table th{
    max-width: 100px;
    min-width: none;
    border: 1px solid var(--light-violet);
}
#plan-table td div{
    display: inline-block;
}

#plan-table td.inactive{
    background-color: var(--light-gray);
}
#plan-table td.active span{
    color: var(--red);
    font-weight: 600;
}
@media screen and (max-width: 520px){
    .bs-stepper-header{
        margin: 0;
    }
}